Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.wsdl
Class TDocumented

    java.lang.Object
      org.apache.cxf.wsdl.TDocumented

Direct Known Subclasses:
  TExtensibleAttributesDocumented, TExtensibleDocumented

    public class TDocumented

extends java.lang.Object

This type is extended by component types to allow them to be documented

Java class for tDocumented complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="tDocumented">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="documentation" type="{http://schemas.xmlsoap.org/wsdl/}tDocumentation" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected TDocumentation` | `documentation`

Constructor Summary
`TDocumented()`

Method Summary
`TDocumentation` | `getDocumentation()` Gets the value of the documentation property.
`boolean` | `isSetDocumentation()`
`void` | `setDocumentation(TDocumentation value)` Sets the value of the documentation property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### documentation

    protected TDocumentation documentation

Constructor Detail

### TDocumented

    public TDocumented()

Method Detail

### getDocumentation

    public TDocumentation getDocumentation()

  Gets the value of the documentation property.

  Returns:
    possible object is `TDocumentation`

### setDocumentation

    public void setDocumentation(TDocumentation value)

  Sets the value of the documentation property.

  Parameters:
    `value` - allowed object is `TDocumentation`

### isSetDocumentation

    public boolean isSetDocumentation()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF